Prompts using print(); reads input from Console.

author | Hans Lellelid <hans@xmpl.org> (Phing)
author | Stefan Bodewig <stefan.bodewig@epost.de> (Ant)
version | $Id$
package | phing.input

### Methods

## Prompts and requests input.

    handleInput(\InputRequest $request) : void

May loop until a valid input has been entered.

### Parameters

#### $request

### Exceptions

`\BuildException` |

## Constructs user prompt from a request.

    getPrompt(\InputRequest $request)

This implementation adds (choice1,choice2,choice3,...) to the prompt for

    MultipleChoiceInputRequest

s.

### Parameters

#### $request

the request to construct the prompt for. Must not be `null`.